// -*-C++-*-
/*!
 * @file  MyDataTypeSVC_impl.h
 * @brief Service implementation header of MyDataType.idl
 *
 * @author Tsuyoshi Suenaga, NAIST
 * tsuyo-s@is.naist.jp
 *
 * GNU General Public License
 *
 */

#include "BasicDataTypeSkel.h"

#include "MyDataTypeSkel.h"

#ifndef MYDATATYPESVC_IMPL_H
#define MYDATATYPESVC_IMPL_H
 
/*!
 * @class RecognitionServiceSVC_impl
 * Example class implementing IDL interface RecognitionService
 */
class RecognitionServiceSVC_impl
 : public virtual POA_RecognitionService,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~RecognitionServiceSVC_impl();

 public:
  /*!
   * @brief standard constructor
   */
   RecognitionServiceSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~RecognitionServiceSVC_impl();

   // attributes and operations
   CORBA::Long getModelID();
   void setModelID(CORBA::Long ModelID);

   long int marker_id;
   bool command_receive_flag;
};



#endif // MYDATATYPESVC_IMPL_H


